Draft OCA: Difference between revisions

From FreeCAD Documentation
(Removed 'Opening', Changed 'Importing' and 'Exporting'.)
No edit summary
(5 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Page in progress}}

<translate>
<translate>
<!--T:13-->
<!--T:13-->
Line 10: Line 7:
{{GuiCommand
{{GuiCommand
|Name=Draft OCA
|Name=Draft OCA
|MenuLocation=File → Export → Open CAD format (*.oca)
|MenuLocation=-
|Workbenches=[[Draft Workbench|Draft]]
|Workbenches=[[Draft Workbench|Draft]]
|Shortcut=Ctrl+E
|Shortcut=-
|SeeAlso=[[Draft SVG]], [[Draft DXF]]
|SeeAlso=-
|Empty=1
|Empty=1
}}
}}


== Description == <!--T:8-->
==Description== <!--T:8-->


<!--T:16-->
Draft OCA is a software module used by the [[File:Std_Open.svg|24px]] [[Std_Open|Std Open]], [[File:Std_Import.svg|24px]] [[Std_Import|Std Import]] and [[File:Std_Export.svg|24px]] [[Std_Export|Std Export]] commands to handle the OCA file format.
Draft OCA is a software module used by the [[File:Std_Open.svg|24px]] [[Std_Open|Std Open]], [[Std_Import|Std Import]] and [[Std_Export|Std Export]] commands to handle the [http://groups.google.com/group/open_cad_format OCA file format].


<!--T:9-->
<!--T:9-->
The [http://groups.google.com/group/open_cad_format OCA file format] is community effort to create a free, simple and open CAD file format. OCA is largely based on the GCAD file format generated from [http://www.gcad3d.org/ gCAD3D]. Both formats can be imported in FreeCAD, and the OCA files exported by FreeCAD can be opened in gCAD3D.
The OCA file format is community effort to create a free, simple and open CAD file format. OCA is largely based on the GCAD file format generated from [http://www.gcad3d.org/ gCAD3D]. Both formats can be imported in FreeCAD, and the OCA files exported by FreeCAD can be opened in gCAD3D.


== Importing == <!--T:1-->
==Importing== <!--T:1-->


<!--T:2-->
<!--T:2-->
Line 32: Line 30:
* Closed areas
* Closed areas


== Exporting == <!--T:4-->
==Exporting== <!--T:4-->


<!--T:17-->
The following FreeCAD objects can be exported:
The following FreeCAD objects can be exported:
* Lines and wires (polylines)
* Lines and wires (polylines)
Line 39: Line 38:
* Faces
* Faces


== Preferences == <!--T:5-->
==Preferences== <!--T:5-->


<!--T:18-->
For more information see: [[Import_Export_Preferences|Import Export Preferences]].
For more information see: [[Import_Export_Preferences|Import Export Preferences]].


== Scripting == <!--T:10-->
==Scripting== <!--T:10-->
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].


Line 80: Line 80:
{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
[[Category:File Formats{{#translation:}}]]
{{clear}}
{{clear}}

Revision as of 21:10, 8 May 2020

Draft OCA

Menu location
-
Workbenches
Draft
Default shortcut
-
Introduced in version
-
See also
-

Description

Draft OCA is a software module used by the Std Open, Std Import and Std Export commands to handle the OCA file format.

The OCA file format is community effort to create a free, simple and open CAD file format. OCA is largely based on the GCAD file format generated from gCAD3D. Both formats can be imported in FreeCAD, and the OCA files exported by FreeCAD can be opened in gCAD3D.

Importing

The following OCA objects can be imported:

  • Lines
  • Arcs and Circles
  • Closed areas

Exporting

The following FreeCAD objects can be exported:

  • Lines and wires (polylines)
  • Arcs and circles
  • Faces

Preferences

For more information see: Import Export Preferences.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

You can export elements to OCA by using the following function:

importOCA.export(exportList, filename)

Example:

import FreeCAD, Draft, importOCA

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2200, 1500, 0)
p4 = FreeCAD.Vector(2500, -100, 0)

obj1 = Draft.makeWire([p1, p2, p3, p4])
obj2 = Draft.makeWire([p1, -2.3*p2, -0.8*p3, -1.8*p4])

objects = [obj1, obj2]

importOCA.export(objects, "/home/user/Pictures/myfile.oca")